
<div class="image">
  <img [src]='trainer.imgUrl' alt="Trainer image">
</div>

<div class='content'>
  <h4 class="ui dividing header" style="color:#d96846;">{{ trainer.name }} {{ trainer.surname }}</h4>
  <div class='text'>
    <p>Username: {{ trainer.username }}</p>
  </div>
  <div *ngIf = "isSomeoneLoggedIn">
  <div class="email text">
    <p>Email: {{trainer.email}}</p>
  </div>
  <div class="text">
    <p>Location: {{trainer.municipality}}, {{ trainer.city }}</p>
  </div>
  <div class="date text">
    <p>Date of birth: {{trainer.dateOfBirth}}</p>
  </div>
  <div class="text">
    <p>Price: {{ trainer.approximatePrice }} €</p>
  </div>
  <div class="categories">
    <p class="text" style="margin-bottom: 10px;"> Categories:</p>
    <span class="category" *ngFor="let category of trainer.category;let indeks = odd;" [ngStyle]="{background: getColorForCategory(indeks)}">
      {{category}} </span>
  </div>

  <div>Rating: </div>
  <div class="extra">
    <div [ngSwitch]="trainerRating()">
      <span *ngSwitchCase="RatingEnum.Excellent" class="ui green tag label">{{ trainerRating() }}</span>
      <span *ngSwitchCase="RatingEnum.Good" class="ui blue label">{{ trainerRating() }}</span>
      <span *ngSwitchCase="RatingEnum.Average" class="ui yellow tag label">{{ trainerRating() }}</span>
      <span *ngSwitchCase="RatingEnum.NotRated" class="ui white tag label">{{ trainerRating() }}</span>
      <span *ngSwitchDefault class="ui red tag label"> {{ trainerRating() }} </span>
    </div>
  </div>

  <div>
      <p>Number of rates: {{ trainer.numberOfCustomer }}</p>
  </div>

  <div class="mat-h2">Rate this trainer:</div>
  <button mat-icon-button="accent" *ngFor="let r of ratingArr, index as i" (click)='onClick(i)'>
    <mat-icon>
      {{ returnStar(i) }}
    </mat-icon>
  </button>
  <br>
  <button class="ui button" *ngIf="addingIsPossible" (click)="trainerAddToFavorits()">Add to favorites</button>



  </div>


</div>
